<html>
<head>
<title>Ogre::ParameterDef Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ParameterDef.html">ParameterDef</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ParameterDef Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ParameterDef" -->
<p>Definition of a parameter supported by a <a class="el" href="classOgre_1_1StringInterface.html" title="Class defining the common interface which classes can use to present a reflection-style, self-defining parameter set to callers.">StringInterface</a> class, for introspection.  
 <a href="classOgre_1_1ParameterDef.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>&gt;</code></p>

<p><a href="classOgre_1_1ParameterDef-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParameterDef.html#a0070696ef2e47e06585ca37ad1223836">ParameterDef</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;newName, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;newDescription, <a class="el" href="group__General.html#ga4b8cfe4e77d7d21264a6497c06ed924a">ParameterType</a> newType)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParameterDef.html#ab22036d8dcec3fe262e88316e55d9a13">name</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParameterDef.html#ae96c017b7f2f644978e2bfd9769b55c2">description</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga4b8cfe4e77d7d21264a6497c06ed924a">ParameterType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParameterDef.html#a5f5634c1ecf86d49da2cccdd97641c6a">paramType</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Definition of a parameter supported by a <a class="el" href="classOgre_1_1StringInterface.html" title="Class defining the common interface which classes can use to present a reflection-style, self-defining parameter set to callers.">StringInterface</a> class, for introspection. </p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00065">65</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0070696ef2e47e06585ca37ad1223836"></a><!-- doxytag: member="Ogre::ParameterDef::ParameterDef" ref="a0070696ef2e47e06585ca37ad1223836" args="(const String &amp;newName, const String &amp;newDescription, ParameterType newType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParameterDef.html#a0070696ef2e47e06585ca37ad1223836">Ogre::ParameterDef::ParameterDef</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>newName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>newDescription</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__General.html#ga4b8cfe4e77d7d21264a6497c06ed924a">ParameterType</a>&#160;</td>
          <td class="paramname"><em>newType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00071">71</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ae96c017b7f2f644978e2bfd9769b55c2"></a><!-- doxytag: member="Ogre::ParameterDef::description" ref="ae96c017b7f2f644978e2bfd9769b55c2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ParameterDef.html#ae96c017b7f2f644978e2bfd9769b55c2">Ogre::ParameterDef::description</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00069">69</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab22036d8dcec3fe262e88316e55d9a13"></a><!-- doxytag: member="Ogre::ParameterDef::name" ref="ab22036d8dcec3fe262e88316e55d9a13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ParameterDef.html#ab22036d8dcec3fe262e88316e55d9a13">Ogre::ParameterDef::name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00068">68</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

<p>Referenced by <a class="el" href="OgreStringInterface_8h_source.html#l00132">Ogre::ParamDictionary::addParameter()</a>.</p>

</div>
</div>
<a class="anchor" id="a5f5634c1ecf86d49da2cccdd97641c6a"></a><!-- doxytag: member="Ogre::ParameterDef::paramType" ref="a5f5634c1ecf86d49da2cccdd97641c6a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga4b8cfe4e77d7d21264a6497c06ed924a">ParameterType</a> <a class="el" href="classOgre_1_1ParameterDef.html#a5f5634c1ecf86d49da2cccdd97641c6a">Ogre::ParameterDef::paramType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00070">70</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
